Page MenuHomePhabricator

SpecialPage::getTitle Deprecation warning
Closed, ResolvedPublic

Description

Seen when code reviewing for T197226:
Deprecated: Use of SpecialPage::getTitle was deprecated in MediaWiki 1.23. [Called from UserExport::execute in /vagrant/mediawiki/extensions/UserExport/UserExport.body.php at line 42] in /vagrant/mediawiki/includes/debug/MWDebug.php on line 309
Replacement is SpecialPage::getPageTitle.

Details

Related Gerrit Patches:
mediawiki/extensions/UserExport : masterAdd PHPCS and fix some found sniffs

Event Timeline

Restricted Application added a project: User-MarcoAurelio. · View Herald TranscriptJun 17 2018, 8:52 AM
Mainframe98 updated the task description. (Show Details)Jun 17 2018, 8:53 AM

Thanks! I'll try to get those fixed once the patches I upload for ExtReg and PHPCS are merged :-)

Change 440397 had a related patch set uploaded (by Jforrester; owner: MarcoAurelio):
[mediawiki/extensions/UserExport@master] Add PHPCS and fix some found sniffs

https://gerrit.wikimedia.org/r/440397

Change 440397 merged by jenkins-bot:
[mediawiki/extensions/UserExport@master] Add PHPCS and fix some found sniffs

https://gerrit.wikimedia.org/r/440397

MarcoAurelio closed this task as Resolved.Jun 20 2018, 4:02 PM
MarcoAurelio moved this task from ready to cabinet on the User-MarcoAurelio board.
Vvjjkkii renamed this task from SpecialPage::getTitle Deprecation warning in UserExport to asaaaaaaaa.Jul 1 2018, 1:03 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii removed MarcoAurelio as the assignee of this task.
Vvjjkkii triaged this task as High priority.
Vvjjkkii updated the task description. (Show Details)
Mainframe98 renamed this task from asaaaaaaaa to SpecialPage::getTitle Deprecation warning.Jul 1 2018, 7:03 AM
Mainframe98 closed this task as Resolved.
Mainframe98 assigned this task to MarcoAurelio.
Mainframe98 raised the priority of this task from High to Needs Triage.
Mainframe98 updated the task description. (Show Details)